<?php
// 
// Info :
// Penser à éditer la ligne "RewriteBase" du fichier .htaccess si besoin.
//
//
// Ce fichier est le point d'entrée unique du projet. Toute requête de page sera envoyée sur cette page, qui s'occupera d'appeler les fichiers nécessaires.
// La requête client se trouve dans le paramètre query.
//
// => pour le debug : echo $_GET["query"]; die(); (affiche le contenu de $_GET['query'] et termine l'exécution)
//

define("ROOT", realpath(__dir__."/..")); // on définit une sorte de variable globale, nommée ROOT, qui contient le répertoire racine de notre site. On s'en servira par la suite lorsque l'on voudra accéder à tel ou tel fichier (vue, contrôleur, modèle ou autre...
define("BASE_URL", "http://localhost/projet-web-2016/www"); // on définit une sorte de variable globale, nommée BASE_URL, qui contient le répertoire du point d'entrée de notre site, qui contient les images, css, etc.

require_once(ROOT . "/app/kernel/Kernel.php"); // première chose à faire : on inclut le fichier noyau, qui va gérer les différentes actions à effectuer (trouver quelle page est demandée, quel contrôleur appeler, quelle vue afficher, etc.)

Kernel::run(); // deuxième chose : on lance la méthode run() de la classe Kernel. (oui, c'est de l'objet.)
