function callAjax(method, value, target) {
	if(encodeURIComponent) {
		var params = {};
		params["method"] = method;
		params["value"]  = value; //encodeURIComponent(value);
		
		$.ajax({
			dataType: 'json',
			type: 'POST',
			url: 'inscription/verify',
			data: params,
			success: function(resp) {
				if (resp.success == true) {
					//validation OK
					$('#rsp_'+target).text(resp.text);
					$('#rsp_'+target).parent().css("display","none");
					$('input[name="valid_'+target+'"]').prop('checked',true);
					return false;
				} 
				else {
					//invalidation
					$('#rsp_'+target).text(resp.text);
					$('#rsp_'+target).parent().css("display","flex");
					$('input[name="valid_'+target+'"]').prop('checked',false);
					$('#'+target).focus();
				}
				return false;
			},
			error: function(data) {
				alert(data.text);
				console.log('Une erreur est survenue lors de la vérification de ce champ');
			}
		});
	}
}

function checkForm() {
	if($('#pseudo').val() == "" || !$('input[name="valid_pseudo"]').is(':checked')) {
		alert("Veuillez indiquer un pseudo valide");
		$('#pseudo').focus();
		return false;
	}
	if($('#password').val() == "") {
		alert("Veuillez indiquer un mot de passe");
		$('#password').focus();
		return false;
	}
	if($('#password_bis').val() == "" || $('#password').val() != $('#password_bis').val()) {
		alert("Les mots de passe indiqués sont différents");
		$('#password_bis').focus();
		return false;
	}
	if($('#nom').val() == "") {
		alert("Veuillez entrer votre nom dans le formulaire");
		$('#nom').focus();
		return false;
	}
	if($('#prenom').val() == "") {
		alert("Veuillez entrer votre prénom dans le formulaire");
		$('#prenom').focus();
		return false;
	}
	if($('#email').val() == "" || !$('input[name="valid_email"]').is(':checked')) {
		alert("Veuillez indiquer une adresse e-mail valide");
		$('#email').focus();
		return false;
	}
	
	return true;
}
